function par_out = outlet_parset(v_par,par_in)
% par_out = parset_test(v_par,par_in)
%   Sets parameters a_0, C_0, M_0, Lambda_0 using a vector of values v_par and
%   an associated logical indexing vector partype specifying the entries in
%   the vector [a_0;C_0;M_0;Lambda_0;x_f] represented by v_par
%   Any parameters not specified through fields in par_in or components of
%   v_par are set to defaults of 1

%intialize output structure
par_out = par_in;

%reset parameters specified by logical indexing vector parameters.partype
if ~isfield(par_in,'a_0')
    par_in.a_0 = 1;
end
if ~isfield(par_in,'C_0')
    par_in.C_0 = 1;
end
if ~isfield(par_in,'M_0')
    par_in.M_0 = 1;
end
if ~isfield(par_in,'Lambda_0')
    par_in.Lambda_0 = 1;
end
if ~isfield(par_in,'x_f')
    par_in.x_f = 1;
end
parvec = [par_in.a_0;par_in.C_0;par_in.M_0;par_in.Lambda_0;par_in.x_f];
parvec(par_in.type) = v_par;

%overwrite the relevant entries in output structure
par_out.a_0 = parvec(1);
par_out.C_0 = parvec(2);
par_out.M_0 = parvec(3);
par_out.Lambda_0 = parvec(4);
par_out.x_f = parvec(5);

end

