function parameters = parameter_generator
%creates parameters structure for outlet_shoot for easy
%editing. See documentation for outlet_shoot for details

%Define the independent variable
parameters.indvar = 'a';
%parameters.indvar = 'C';
%parameters.indvar = 'M';
%parameters.indvar = 'Lambda';

%calving type
parameters.calving_type = 'melt limit';
%parameters.calving_type = 'grounded calving';
%parameters.calving_type = 'floating calving';

%calving law
parameters.functions.calve = @Nick_calve;   
%parameters.functions.calve =  @float_calve;

%model parameters
parameters.model.n = 3;
parameters.model.m = 1/3;
parameters.model.r = 0.9;
parameters.model.latdrag = 1;
parameters.model.C_0 = 1;
parameters.model.M_0 = 1;
parameters.model.Lambda_0 = 1;
parameters.model.a_0 = 1;
parameters.model.epsilon = 1e-2;

%data functions
parameters.model.accfun = @accumulation;
parameters.model.meltfun = @melting;
parameters.model.Bfun = @bedelevation;
parameters.model.Wfun = @channelwidth;

%computational parameter defining initial perturbation from fixed point
parameters.perturb_fixedpoint = 1e-3;
parameters.t_span = [0 1000];
parameters.solver.method = '15s';

%run-time diagnostics
parameters.srchparams.verbose = 0;%set to 2 or 3 for a talkative solver
