function parameters = parameter_generator
%creates parameters structure for running boundary_layer_shoot for easy
%editing. See documentation for boundary_layer_shoot for details


%Define the independent variable
parameters.indvar = 'H_g';
%parameters.indvar = 'W';

%calving type
parameters.calving_type = 'melt limit';
%parameters.calving_type = 'grounded calving';
%parameters.calving_type = 'floating calving';

%calving law
parameters.functions.calve = @Nick_calve;   
%parameters.functions.calve =  @float_calve;

%model parameters
parameters.model.n = 3;
parameters.model.m = 1/3;
parameters.model.r = 0.9;
parameters.model.C_0 = 1;
parameters.model.M_0 = 1;
parameters.model.Lambda_0 = 1;
parameters.model.H_g_0 = 1;
parameters.model.W_0 = 1;

%computational parameter defining initial perturbation from fixed point
parameters.perturb_fixedpoint = 1e-3;
parameters.t_span = [0 1000];
parameters.solver.method = '45';

parameters.srchparams.verbose = 0;%set to 2 or 3 for a talkative solver
